Bug 488106 - Review Request: django-notification - User notification management for the Django web framework
Review Request: django-notification - User notification management for the Dj...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 488151 488963
  Show dependency treegraph
 
Reported: 2009-03-02 13:06 EST by Ignacio Vazquez-Abrams
Modified: 2009-03-23 01:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 01:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-03-02 13:06:51 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/django-notification/django-notification.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/django-notification/django-notification-0.1.2-2.src.rpm
Description: Many sites need to notify users when certain events have occurred and to allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality. This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed
Comment 1 Parag AN(पराग) 2009-03-03 02:53:52 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1216036
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
3e485b0e047b70bfb00c783deae9e44b  django-notification-0.1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ egg file generated from source.

Suggestions:
1) I will suggest to use 
%doc CONTRIBUTORS.txt LICENSE.txt docs/*
will make not to create docs named directory
2) Change %define to %global

APPROVED.
Comment 2 Ignacio Vazquez-Abrams 2009-03-03 04:34:51 EST
New Package CVS Request
=======================
Package Name: django-notification
Short Description: User notification management for the Django web framework
Owners: ivazquez
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2009-03-03 15:43:28 EST
cvs done.
Comment 4 Parag AN(पराग) 2009-03-23 00:56:01 EDT
If this package is built for all requested branches then can we have this review closed now?

Note You need to log in before you can comment on or make changes to this bug.